Subject: RE: Review of draft-martini-pwe3-MH-PW-requirements-00.txt

From: David McDysan <[email-masked]>
Date: Tue, 01 Feb 2005 11:06:42 -0500

Jerry,

Finally had time to take a look at this I-D and the QSPEC template. IT seems
to include the functions and parameters (as well as many additional
parameters) of which I was thinking. 

I have not been following NSIS. Looking over the framework I-D, the Network
Transport Layer Protocol (NTLP) still seems to be only generally defined.
Would the proposed MH PW LDP be a viable candidate NTLP to determine NSIS
Element (NE) next hops? If not, is there some other NTLP that is being
considered in NSIS that could be applicable to PW's?

Dave

> -----Original Message-----
> From: Ash, Gerald R (Jerry), ALABS [mailto:[email-masked]] 
> Sent: Wednesday, January 19, 2005 1:25 PM
> To: David McDysan; [email-masked]; 
> [email-masked]
> Cc: Ash, Gerald R (Jerry), ALABS; [email-masked]; 
> [email-masked]; [email-masked]
> Subject: RE: [PWE3] Review of 
> draft-martini-pwe3-MH-PW-requirements-00.txt
> 
> 
> Dave,
> Matthew,
> 
> > > Behalf Of [email-masked] (MB)
> > > 
> > > 5) Section 6.3, 3rd paragraph:
> > > "Ideally the PSN tunnel SHOULD have better QoS or same QoS
> > > characteristics as the carried PW.  However, in certain 
> > > cases, an operator may need to bind a PW to a PSN tunnel with 
> > > nominally lower QoS characteristics.
> > > 
> > > Is this saying that it is ok for a PW to expect a QoS of X
> > > (which a customer is presumably paying for) and for that PW 
> > > to be transported over a PSN tunnel with QoS of Y (where Y<X) 
> > > - doesn't seem right to me?
> > > 
> > > MB> In principle, I agree with you. However, I think the
> > > text intended to refer to the fact that an operator may
> > > choose to reroute a PW to a tunnel that doesn't strictly meet
> > > the committed loss/delay characteristics if 
> > > connectivity/availability is considered more important. In
> > > any case, I'm not sure that such a discussion fits in a 
> > > standardised requirements document. I think the simple 
> > > statement that the PSN tunnel should have the same or better
> > > QoS characteristics is adequate.
> 
> Dave> I recommend that we need to specify how the QoS
> > characteristics are signaled. There needs to be some 
> convention on how 
> > to signal the requested QoS (in addition to traffic 
> parameters (e.g., 
> > at least average rate, and possibly also burst duration and 
> peak rate 
> > (see RFC 2215). There are some drafts on a minimal set of Diffserv 
> > PHBs and the associated semantics occurring in tsvwg and 
> there is also
> > an effort in the ITU-T updating Y.1540 and Y.1541 that may be
> > relevant here.
> 
> If so, then NSIS-based QoS-NSLP signaling for Y.1541 QoS 
> classes could also be relevant, see 
> http://ietf.org/internet-drafts/draft-ash-nsis-y1541-qsp-00.txt.
> 
> Thanks,
> Jerry
>